Package com.orchestranetworks.workflow

# Interface ProcessExecutionContext

All Superinterfaces:
  `ProcessExecutionInfoContext`

All Known Subinterfaces:
  `ConditionBeanContext`, `ConditionContext`, `ScriptTaskBeanContext`, `ScriptTaskContext`, `SubWorkflowsCompletionContext`, `SubWorkflowsCreationContext`, `UserTaskBeforeWorkItemCompletionContext`, `UserTaskCreationContext`, `UserTaskWorkItemCompletionContext`, `WaitTaskOnResumeContext`, `WaitTaskOnStartContext`, `WorkflowTriggerAfterProcessInstanceStartContext`, `WorkflowTriggerAfterWorkItemCreationContext`, `WorkflowTriggerBeforeProcessInstanceTerminationContext`, `WorkflowTriggerBeforeWorkItemAllocationContext`, `WorkflowTriggerBeforeWorkItemDeallocationContext`, `WorkflowTriggerBeforeWorkItemReallocationContext`, `WorkflowTriggerBeforeWorkItemStartContext`, `WorkflowTriggerBeforeWorkItemTerminationContext`, `WorkflowTriggerContext`, `WorkflowTriggerStepContext`, `WorkflowTriggerWorkItemAllocationContext`, `WorkflowTriggerWorkItemAuthenticatedContext`, `WorkflowTriggerWorkItemContext`

public interface ProcessExecutionContext extends ProcessExecutionInfoContext
This interface is used as a base interface for workflow context. execution.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final class`
  `ProcessExecutionContext.WorkflowPermission`
  Represents the permissions associated with the workflow model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MailSpec`
  `createMailSpec()`
  Returns a mail specification instance in order to send mails.
  `String`
  `getProcessInstanceDescription(Locale aLocale)`
  Deprecated.
  Use instead `ProcessExecutionInfoContext.getProcessInstance()`
  `String`
  `getProcessInstanceLabel(Locale aLocale)`
  Deprecated.
  Use instead `ProcessExecutionInfoContext.getProcessInstance()`
  `void`
  `modifyProcessPriority(Integer priority)`
  Dynamically set the priority of the current process instance.

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository, getSession`

- ## Method Details

  - ### getProcessInstanceLabel

    @Deprecated String getProcessInstanceLabel(Locale aLocale)
    Deprecated.
    Use instead `ProcessExecutionInfoContext.getProcessInstance()`
    Returns the current process instance label.
    See Also:
      - `ProcessLauncher.setLabel(com.onwbp.base.text.UserMessage)`

  - ### getProcessInstanceDescription

    @Deprecated String getProcessInstanceDescription(Locale aLocale)
    Deprecated.
    Use instead `ProcessExecutionInfoContext.getProcessInstance()`
    Returns the current process instance description.
    See Also:
      - `ProcessLauncher.setDescription(com.onwbp.base.text.UserMessage)`

  - ### createMailSpec

    MailSpec createMailSpec()

    Returns a mail specification instance in order to send mails.

  - ### modifyProcessPriority

    void modifyProcessPriority(Integer priority) throws OperationException
    Dynamically set the priority of the current process instance.
    Throws:
      `OperationException` - if an error occurs during the priority update.